(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('highlight.js')) :
    typeof define === 'function' && define.amd ? define('@dkx/ng-highlight-js', ['exports', '@angular/core', 'highlight.js'], factory) :
    (global = global || self, factory((global.dkx = global.dkx || {}, global.dkx['ng-highlight-js'] = {}), global.ng.core, global.highlight_js));
}(this, function (exports, core, highlight_js) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    var HighlightjsComponent = /** @class */ (function () {
        function HighlightjsComponent() {
            this.language = '';
        }
        HighlightjsComponent.prototype.ngAfterViewInit = function () {
            highlight_js.highlightBlock(this.codeBlock.nativeElement);
        };
        __decorate([
            core.Input(),
            __metadata("design:type", String)
        ], HighlightjsComponent.prototype, "code", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", String)
        ], HighlightjsComponent.prototype, "language", void 0);
        __decorate([
            core.ViewChild('codeBlock'),
            __metadata("design:type", core.ElementRef)
        ], HighlightjsComponent.prototype, "codeBlock", void 0);
        HighlightjsComponent = __decorate([
            core.Component({
                selector: 'dkx-highlightjs',
                template: "<pre><code #codeBlock [className]=\"language\" [innerText]=\"code\"></code></pre>\n"
            })
        ], HighlightjsComponent);
        return HighlightjsComponent;
    }());

    var HighlightjsModule = /** @class */ (function () {
        function HighlightjsModule() {
        }
        HighlightjsModule = __decorate([
            core.NgModule({
                declarations: [
                    HighlightjsComponent,
                ],
                exports: [
                    HighlightjsComponent,
                ],
            })
        ], HighlightjsModule);
        return HighlightjsModule;
    }());

    exports.HighlightjsComponent = HighlightjsComponent;
    exports.HighlightjsModule = HighlightjsModule;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=dkx-ng-highlight-js.umd.js.map
